public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mike Gilbert" <floppym@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-power/cpupower/
Date: Fri,  3 Jun 2022 18:56:37 +0000 (UTC)	[thread overview]
Message-ID: <1654282594.b67192bd9a81d45535ae6a2264c1edfbcc9b5559.floppym@gentoo> (raw)

commit:     b67192bd9a81d45535ae6a2264c1edfbcc9b5559
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Fri Jun  3 18:55:48 2022 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Fri Jun  3 18:56:34 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b67192bd

sys-power/cpupower: add 5.18

Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 sys-power/cpupower/Manifest             |  1 +
 sys-power/cpupower/cpupower-5.18.ebuild | 64 +++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/sys-power/cpupower/Manifest b/sys-power/cpupower/Manifest
index aa084c78ff13..2278163061e9 100644
--- a/sys-power/cpupower/Manifest
+++ b/sys-power/cpupower/Manifest
@@ -1,2 +1,3 @@
 DIST linux-5.12.tar.xz 118112412 BLAKE2B 842d921b9a73d2aaade763dbd2ec67bdfe0275baa6d628b775f5c87574ad7dc86f0419afcd48c10c1235f4bffa16084243f2cf4556e6afcd391e975fe8ba530b SHA512 be03b6fee1d1ea8087b09874d27c0a602c0b04fd90ad38b975bd2c8455a07e83c29b56814aaf1389e82305fae0e4c2d1701075a7f0a7295dd28149f967ec5b3d
+DIST linux-5.18.tar.xz 129790264 BLAKE2B e2745a69eb70169e90505a9318a3993046eab3020496eecde7d8352ecda0eb71a25b21becf7ce93fc593507dce7d1cd61b94ddcdf82b3094d79c0d3d48508eeb SHA512 dbbc9d1395898a498fa4947fceda1781344fa5d360240f753810daa4fa88e519833e2186c4e582a8f1836e6413e9e85f6563c7770523b704e8702d67622f98b5
 DIST linux-5.4.tar.xz 109441440 BLAKE2B 193bc4a3147e147d5529956164ec4912fad5d5c6fb07f909ff1056e57235834173194afc686993ccd785c1ff15804de0961b625f3008cca0e27493efc8f27b13 SHA512 9f60f77e8ab972b9438ac648bed17551c8491d6585a5e85f694b2eaa4c623fbc61eb18419b2656b6795eac5deec0edaa04547fc6723fbda52256bd7f3486898f

diff --git a/sys-power/cpupower/cpupower-5.18.ebuild b/sys-power/cpupower/cpupower-5.18.ebuild
new file mode 100644
index 000000000000..ff02ae610183
--- /dev/null
+++ b/sys-power/cpupower/cpupower-5.18.ebuild
@@ -0,0 +1,64 @@
+# Copyright 2013-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit systemd toolchain-funcs
+
+DESCRIPTION="Shows and sets processor power related values"
+HOMEPAGE="https://www.kernel.org/"
+SRC_URI="https://cdn.kernel.org/pub/linux/kernel/v${PV%%.*}.x/linux-${PV}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0/0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="nls"
+
+# File collision w/ headers of the deprecated cpufrequtils
+RDEPEND="sys-apps/pciutils"
+DEPEND="${RDEPEND}
+	virtual/os-headers
+	nls? ( sys-devel/gettext )"
+
+PATCHES=(
+	"${FILESDIR}/cpupower-5.4-cflags.patch"
+)
+
+S="${WORKDIR}/linux-${PV}"
+
+src_configure() {
+	export bindir="${EPREFIX}/usr/bin"
+	export sbindir="${EPREFIX}/usr/sbin"
+	export mandir="${EPREFIX}/usr/share/man"
+	export includedir="${EPREFIX}/usr/include"
+	export libdir="${EPREFIX}/usr/$(get_libdir)"
+	export localedir="${EPREFIX}/usr/share/locale"
+	export docdir="${EPREFIX}/usr/share/doc/${PF}"
+	export confdir="${EPREFIX}/etc"
+	export bash_completion_dir="${EPREFIX}/usr/share/bash-completion/completions"
+	export V=1
+	export NLS=$(usex nls true false)
+}
+
+src_compile() {
+	myemakeargs=(
+		AR="$(tc-getAR)"
+		CC="$(tc-getCC)"
+		LD="$(tc-getCC)"
+		VERSION=${PV}
+	)
+	emake -C tools/power/cpupower "${myemakeargs[@]}"
+}
+
+src_install() {
+	cd tools/power/cpupower || die
+	emake "${myemakeargs[@]}" DESTDIR="${D}" install
+	doheader lib/cpupower.h
+	einstalldocs
+
+	newconfd "${FILESDIR}"/conf.d-r2 cpupower
+	newinitd "${FILESDIR}"/init.d-r4 cpupower
+
+	systemd_dounit "${FILESDIR}"/cpupower-frequency-set.service
+	systemd_install_serviced "${FILESDIR}"/cpupower-frequency-set.service.conf
+}


             reply	other threads:[~2022-06-03 18:56 UTC|newest]

Thread overview: 53+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-06-03 18:56 Mike Gilbert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-15 19:49 [gentoo-commits] repo/gentoo:master commit in: sys-power/cpupower/ Mike Gilbert
2024-08-15 16:37 Mike Gilbert
2024-08-15 16:37 Mike Gilbert
2024-04-24 17:59 Arthur Zamarin
2024-04-24 17:59 Arthur Zamarin
2024-04-24 17:42 Arthur Zamarin
2024-04-24 17:21 Arthur Zamarin
2024-04-24 17:14 Arthur Zamarin
2024-01-07  6:28 Sam James
2023-06-21  4:41 Arthur Zamarin
2023-06-03  4:00 Mike Gilbert
2023-06-03  3:59 Mike Gilbert
2023-06-01 20:16 Sam James
2023-06-01 20:12 Sam James
2023-06-01 20:12 Sam James
2023-06-01 20:04 Sam James
2022-06-03 18:56 Mike Gilbert
2022-01-10 23:00 Sam James
2022-01-09 20:08 Sam James
2022-01-09 20:08 Sam James
2022-01-09 10:25 Sam James
2021-08-27  1:48 Mike Gilbert
2021-01-03 19:40 Sam James
2021-01-03 19:40 Sam James
2020-12-06 20:50 Mike Gilbert
2020-12-06 20:48 Mike Gilbert
2020-02-01 18:01 Mike Gilbert
2019-11-25 22:10 Mike Gilbert
2019-11-25 22:10 Mike Gilbert
2019-10-05 18:56 Michał Górny
2017-12-21 21:16 Patrice Clement
2017-10-09 14:44 Sergei Trofimovich
2017-10-09 14:44 Sergei Trofimovich
2017-10-09 14:44 Sergei Trofimovich
2017-10-03 15:08 Sergei Trofimovich
2017-10-03 15:08 Sergei Trofimovich
2017-10-03  8:25 Sergei Trofimovich
2017-09-12 19:13 Mike Gilbert
2017-09-11  3:38 Mike Gilbert
2017-09-11  3:08 Mike Gilbert
2017-06-15  9:54 Agostino Sarubbo
2017-06-14  7:49 Agostino Sarubbo
2016-12-11 22:19 Mike Gilbert
2016-08-07  3:37 Mike Gilbert
2016-08-06 10:17 Pacho Ramos
2016-06-02 20:48 Mike Gilbert
2016-06-02 19:22 Mike Gilbert
2015-12-03 16:37 Mike Gilbert
2015-09-20 16:10 Mike Gilbert
2015-09-20 16:10 Mike Gilbert
2015-09-20  9:30 Agostino Sarubbo
2015-08-27  9:58 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1654282594.b67192bd9a81d45535ae6a2264c1edfbcc9b5559.floppym@gentoo \
    --to=floppym@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox